﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Searching for Completed Tasks</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Searching for Completed Tasks</h1>
        <p>To search for one or more completed tasks in Saviynt Identity Governance and Administration (IGA), perform the following steps:</p>
        <ol>
            <li>
                <p>Select  &#160;<strong>ARS &gt; Tasks &gt; Completed Tasks</strong>.</p>
            </li>
            <li>
                <p>Enter the known search parameter in the search field and click <strong>Search</strong>.<br />To view the list of completed tasks, which are already archived, you need to select the option 'Show Archive Records'. Selecting the option 'Show Archive Records' displays the already archived completed, expired, and discontinued task details. The Archived tasks are the tasks that are purged and removed based on the number of days specified in <strong>Common Tab &gt; Archival Days</strong>. Once you specify the number of days and run the job&#160;ARCHIVEJOB from&#160;<strong>Admin &gt; Job Control Panel &gt; Utility &gt; ARCHIVEJOB. </strong>This job deletes the requests and tasks beyond the specified number of days. Selecting the&#160;'Show Archive Records' displays the already archived completed tasks.<br />OR</p>
            </li>
            <li>
                <p>You can also use the&#160;<strong>Advanced </strong>search option. Click&#160;<strong>Advanced</strong>, enter the required search parameter details. You can search based on Request ID, Task ID, Endpoint details, Security system details, Entitlement details, or User details, in different tabs as required and click <strong>Search</strong>.<br />The <strong>List of Completed Tasks&#160;</strong>page displays the history of completed tasks in the following columns based on your search criteria:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 269.53px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 1010.47px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Columns</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p>Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Actions</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">You can perform the following actions:</p>
                            <ul>
                                <li>
                                    <p><strong>View:</strong>&#160;To view the details of the selected task.</p>
                                </li>
                                <li>
                                    <p><strong>Reopen:</strong>&#160;To reopen the task if they are marked as completed without provisioning the requests on the target systems.&#160;</p>
                                </li>
                                <li>
                                    <p><strong>Comments:</strong>&#160;Enter comments on the completed task, after provisioning the request.</p>
                                </li>
                            </ul>
                            <p class="table-text">For more information on actions, see <MadCap:xref href="Managing-Completed-Tasks.htm">Managing Completed Tasks</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Task ID</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the task id created and assigned to a task by the application.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Tasks Type</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>Following are the types of tasks available:&#160;</p>
                            <ul>
                                <li>
                                    <p><b>Add Access</b>:&#160;Request submitted for adding access.</p>
                                </li>
                                <li>
                                    <p><b>Remove Access</b>:&#160;Request submitted for removal of access.</p>
                                </li>
                                <li>
                                    <p><b>New Account</b>:&#160;Request submitted for the creation of a new account.</p>
                                </li>
                                <li>
                                    <p><b>Change Password</b>:&#160;Request submitted for change of password.</p>
                                </li>
                                <li>
                                    <p><b>Update Account</b>:&#160;Request submitted for updating an account.&#160;</p>
                                </li>
                                <li>
                                    <p><b>Claim Account</b>:&#160;Owner claiming an account for approving the request submitted by the user.&#160;</p>
                                </li>
                                <li>
                                    <p><b>Update User</b>:&#160;Request submitted for updating the user attributes.</p>
                                </li>
                                <li>
                                    <p><b>Unlock Account</b>: Request submitted for unlocking the account.</p>
                                </li>
                                <li>
                                    <p><b>Lock Account</b>: Request submitted for locking the account.</p>
                                </li>
                                <li>
                                    <p><b>Unlock Account</b>: Request submitted for unlocking the account.</p>
                                </li>
                                <li>
                                    <p><b>Lock Account</b>: Request submitted for locking the account.</p>
                                </li>
                                <li>
                                    <p><b>Enable Account</b>:&#160;Request submitted for enabling the account.</p>
                                </li>
                                <li>
                                    <p><b>Disable Account</b>: Request submitted for disabling the account. </p>
                                </li>
                                <li>
                                    <p><b>Update Access End Date</b>: Request submitted for updating the access end date.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Parent Task</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the parent task id, if the task is being created from another parent task along with other appropriate details.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the user name requested for access along with other details about the user.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Account</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the account name for which the request is performed.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">For ADSI connector, if a user has multiple accounts then the domain name of the account is displayed.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Security System</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the security system for which the request is performed.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Endpoint</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the endpoint(target system) name on which the provision is performed.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Entitlement</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the requested entitlements and attributes details provisioned.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Request ID</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the request identification number associated with the task provisioned.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Owner</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the associated owner details. The owner's name is displayed as&#160;<strong>Owner Display Name(Owner User Name).</strong></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Creation Date</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the task completion date.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Status</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the current status of the tasks. If the task is attended by the owner or being claimed the status of the task will be marked accordingly with the following values:</p>
                            <ul>
                                <li>
                                    <p><strong>New:</strong>  &#160;The tasks created for the requests whose approvals are completed.</p>
                                </li>
                                <li>
                                    <p><strong>Completed:&#160;</strong>The tasks are successfully provisioned.</p>
                                </li>
                                <li>
                                    <p><strong>Discontinued:</strong> The tasks are discontinued.</p>
                                </li>
                                <li>
                                    <p><strong>No Action Required:</strong>  &#160;The tasks require no action to complete the provision.&#160;</p>
                                </li>
                                <li>
                                    <p><strong>Error:</strong>  &#160;An error has occurred from the target system while provisioning the tasks.</p>
                                </li>
                            </ul>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">In an enterprise role request, if you are requesting for a new role that has common entitlement(s) with an existing role, then the task generated has the status "New", though the entitlement(s) may be common with the existing role.</p>
                            </div>
                            <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                                <div class="confluence-information-macro-body">
                                    <p>The task created or removed for entitlements that a user already has access to will have the status "No Action Required". For example, if a user has access to EntA from a new account request, and requests for an enterprise role with accesses EntA, EntB, and EntC, then the task created for EntA has the status "No Action Required" and EntB and EntC will have the status "New".</p>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Update User</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the last updated details of the user, such as modifying the user name and modified date.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provisioning Comments</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays&#160;the provisioning comments, if any, are provided during the task creation stage.</p>
                            <p class="table-text">This column also displays the successResponse and unsucessResponse. For example, If the tasks are triggered from REST provisioning. Displays the successReponse and unsuccessResponse of the Provisioning tasks. This helps to troubleshot errors, if any.&#160;</p>
                            <p class="table-text">Hover the cursor over the <strong>Info&#160;</strong>icon to view the detailed comments for the tasks with status Discontinued, No Action Required and Error.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Provisioning Metadata</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the provisioning metadata. The metadata are user attributes available on the target system required to provision the new requests. These metadata will be fetched from the target system and will be displayed in the pending task table.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1" MadCap:conditions="Default.v2021X">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Requested By</p>
                            <p class="table-text" MadCap:conditions="Default.v2021X">(Available from Release v2021.0 onwards)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Displays the user's username along with the first and last name of the user.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>